Subject: bug#44313: 27.1.50; ns_mouse_position EXC_BAD_ACCESS crash

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2020 21:07:46 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Fri, 30 Oct 2020 13:55:10 -0500
> Cc: [email-masked]
> 
> On Fri, Oct 30, 2020 at 1:47 PM Eli Zaretskii <[email-masked]> wrote:
> > That doesn't sound like a frame that is not live, that sounds like a
> > frame whose memory was freed.  Or a frame pointer that is just
> > garbage.
> >
> > So the question now is: where did that frame pointer come from?
> 
> Good question--how might I debug that next time it happens?

I don't know.  The code in Fmouse_pixel_position uses the
selected-frame, so it is quite strange, to say the least, that this
frame could be garbled when you just move the mouse pointer.